Bitcoin Forum
September 30, 2022, 08:15:48 PM *
News: Latest Bitcoin Core release: 23.0 [Torrent]
 
   Home   Help Search Login Register More  
Pages: [1]
  Print  
Author Topic: HD 6970 openCl issues  (Read 2640 times)
sarahsliefie (OP)
Newbie
*
Offline Offline

Activity: 21
Merit: 0



View Profile
June 10, 2011, 03:44:39 PM
 #1

I am trying to get my 6970 to run openCL. It runs openGL without any problem, but I cannot get the CL working. I have tried every driver I can find. I have uninstalled and reinstalled several times. I have even tried installing just the Cl driver from AMD and that did not work. What do I need to do to get this working?

I have used GPU Caps Viewer to look at it and it confirms the OpenGL is working fine but it goes blank when I try to test the CL

I am using XP 32 I have tried to install Plclbm.exe and GUIminer, but I get this error when I try to run them.
 
“This application has failed to start because the application configuration is incorrect"

I get the same message when I open it with a .bat using this command

"start /DC:\bitcoins\pfile poclbm.exe --user=***** --pass=***** --device=0"
1664568948
Hero Member
*
Offline Offline

Posts: 1664568948

View Profile Personal Message (Offline)

Ignore
1664568948
Reply with quote  #2

1664568948
Report to moderator
1664568948
Hero Member
*
Offline Offline

Posts: 1664568948

View Profile Personal Message (Offline)

Ignore
1664568948
Reply with quote  #2

1664568948
Report to moderator
Bitcoin addresses contain a checksum, so it is very unlikely that mistyping an address will cause you to lose money.
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction.
heavyb
Full Member
***
Offline Offline

Activity: 217
Merit: 100



View Profile WWW
June 10, 2011, 03:47:51 PM
 #2

i have been having this same problem on my 6970 and 6870. I install the amd stream driver, but pclbm gui miner will not recognize that my cards have the driver.

[Coins!]
Member
**
Offline Offline

Activity: 112
Merit: 10



View Profile
June 10, 2011, 04:40:07 PM
 #3

Try using the gui miner instead of command lines.

There is a link in this forum to this program, it works perfectly provided you use the right flags (-v -w128)

Like my post? Consider donating: 1ENPBz6zZa1maehG48PaYzYhPjodN1NkTF
http://oneminuteslow.com/bitcoin/100-20.png
heavyb
Full Member
***
Offline Offline

Activity: 217
Merit: 100



View Profile WWW
June 10, 2011, 05:03:49 PM
 #4

fixed the problem, download catalyst control center 11.3, the one that comes with the video cards does not work correctly for some reason. I installed 11.3 and it instantly recognized my card.

sarahsliefie (OP)
Newbie
*
Offline Offline

Activity: 21
Merit: 0



View Profile
June 10, 2011, 07:26:59 PM
 #5

I have tried 11.3, 11.4, and 11.5 none of them work. the card us up and running I just can not get the openCL working. Gui miner is what I am using and when I try to run it it gives me the error.
 I would happly give .5Bc to anyone who can answer this problem.
heavyb
Full Member
***
Offline Offline

Activity: 217
Merit: 100



View Profile WWW
June 10, 2011, 07:28:43 PM
 #6

hmm, 11.3 cleared the problem right up for me! are you sure you installed the correct opencl for your opperating system/graphics card?

fasteddie
Newbie
*
Offline Offline

Activity: 1
Merit: 0


View Profile
June 10, 2011, 08:58:18 PM
 #7

Does GPU-Z show OpenCL support on your current cards? Did you try poclbm.exe instead of GUIminer?
MOCT
Newbie
*
Offline Offline

Activity: 13
Merit: 0


View Profile
June 10, 2011, 09:48:48 PM
 #8

I have tried 11.3, 11.4, and 11.5 none of them work. the card us up and running I just can not get the openCL working. Gui miner is what I am using and when I try to run it it gives me the error.
 I would happly give .5Bc to anyone who can answer this problem.
try:
1. Work under "Administator" profile
2. Install AMD APP SDK 2.4 (not ATI Stream SDK 2.1 !) for your card
3. remove old config (poclbm.ini) and create new settings
sarahsliefie (OP)
Newbie
*
Offline Offline

Activity: 21
Merit: 0



View Profile
June 11, 2011, 03:10:10 AM
 #9

I have tried AMD APP SDK 2.4. no change

Here is a screen shot of the error message. This comes up with GUIminer or poclbm.exe

http://a1.sphotos.ak.fbcdn.net/hphotos-ak-snc6/251160_2041777853999_1530903905_32366898_117027_n.jpg


Here is the GPU Caps Viewer

http://a5.sphotos.ak.fbcdn.net/hphotos-ak-ash4/254805_2041779094030_1530903905_32366900_3333921_n.jpg
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!